数据提供商: RentCast
根据地址、城市或地图区域查询 US 的房产记录
$0.0814 / 次调用在 45 秒内响应
搜索 RentCast 中的美国住宅和土地记录,包括在售与未在售房产。每条返回地址、县、房产类型、卧室数、浴室数、建筑面积、土地面积、建造年份、房产特征、税务估值与房产税历史、上次出售价格和时间、当前业主姓名与邮寄地址,以及是否为业主自住。通过完整地址、城市和州、ZIP 邮编,或经纬度加以英里为单位的半径定位,再按房产类型、卧室数、浴室数、建筑面积、土地面积、建造年份或最近出售时间筛选。每次调用最多可返回 500 条记录。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the RentCast endpoint /properties on Glasser.bash
glasser run -p rentcast -e '/properties' -i '{"address":"5500 Grand Lake Dr, San Antonio, TX, 78244"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"rentcast","endpoint":"/properties","input":{"address":"5500 Grand Lake Dr, San Antonio, TX, 78244"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
评估地点时,可以将可用的地点或房产详情与项目需求比较。
复制此提示词到你的 Agent,按需求审阅地点。
提示词
Use rentcast:/properties on Glasser.
Check the returned place or property details against my location requirements.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"city": {
"type": "string",
"maxLength": 85,
"minLength": 2
},
"limit": {
"type": "integer",
"maximum": 500,
"minimum": 1
},
"state": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"offset": {
"type": "integer",
"maximum": 100000,
"minimum": 0
},
"radius": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"address": {
"type": "string",
"maxLength": 200,
"minLength": 5
},
"lotSize": {
"type": "string",
"pattern": "^\\d+(\\.\\d+)?([,-]\\d+(\\.\\d+)?)*$",
"maxLength": 40
},
"zipCode": {
"type": "string",
"pattern": "^\\d{5}$"
},
"bedrooms": {
"type": "string",
"pattern": "^\\d+(\\.\\d+)?([,-]\\d+(\\.\\d+)?)*$",
"maxLength": 40
},
"latitude": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"bathrooms": {
"type": "string",
"pattern": "^\\d+(\\.\\d+)?([,-]\\d+(\\.\\d+)?)*$",
"maxLength": 40
},
"longitude": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
},
"yearBuilt": {
"type": "string",
"pattern": "^\\d+(\\.\\d+)?([,-]\\d+(\\.\\d+)?)*$",
"maxLength": 40
},
"propertyType": {
"enum": [
"Single Family",
"Condo",
"Townhouse",
"Manufactured",
"Multi-Family",
"Apartment",
"Land"
],
"type": "string"
},
"saleDateRange": {
"type": "integer",
"maximum": 3650,
"minimum": 1
},
"squareFootage": {
"type": "string",
"pattern": "^\\d+(\\.\\d+)?([,-]\\d+(\\.\\d+)?)*$",
"maxLength": 40
}
},
"additionalProperties": false
}json
{
"address": "5500 Grand Lake Dr, San Antonio, TX, 78244"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.0814 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |